searchNodes=[{"doc":"The module provides a @before_compile macro enabling multiple template files per live component or live view. Each template file gets pre-compiled as a private render/2 function in its live component or live view module. This in turn enables (conditional) invocation from the render/1 functions. The template files should share the component or live view folder and start with their respective underscored names. In the example below we have a component that requires a different template when flagged for deletion (as part of, say, an appended container list) than the one used in the base-case scenario. defmodule MyComponent do use Phoenix.LiveComponent require PhoenixLiveViewExt.MultiRender @before_compile PhoenixLiveViewExt.MultiRender @impl true def render ( %{ delete : :true } = assigns ) do render ( &quot;my_component_delete.html&quot; , assigns ) end def render ( assigns ) do render ( &quot;my_component_enjoy.html&quot; , assigns ) end end The component folder tree may look as follows: my_app lib my_app_web live components my_component . ex my_component_delete . html . leex my_component_enjoy . html . leex ..","ref":"PhoenixLiveViewExt.MultiRender.html","title":"PhoenixLiveViewExt.MultiRender","type":"module"},{"doc":"PhoenixLiveViewExt A library of functional extensions to the Phoenix LiveView framework. In its present version 1.0.0 we start off with the MultiRender module and we'll see where it takes us from there.","ref":"readme.html","title":"PhoenixLiveViewExt","type":"extras"},{"doc":"PhoenixLiveViewExt.MultiRender is a multi-template alternative to the Phoenix.LiveView.Renderer.render/1 macro. It pre-compiles as many template files as found collocated with and named after the live component or live view module they relate to. In other words, it allows for conditional rendering of multiple template files per live component or live view module, the functionality which is presently available in live components only if using the ~L sigil. Special credits go to José Valim for providing the instructions on how to properly approach the problem this module is solving.","ref":"readme.html#multirender","title":"PhoenixLiveViewExt - MultiRender","type":"extras"},{"doc":"This package can be installed by adding phoenix_live_view_ext to your list of dependencies in mix.exs : def deps do [ { :phoenix_live_view_ext , &quot;~&gt; 1.0.0&quot; } ] end","ref":"readme.html#installation","title":"PhoenixLiveViewExt - Installation","type":"extras"},{"doc":"The docs can be found at https://hexdocs.pm/phoenix_live_view_ext .","ref":"readme.html#docs","title":"PhoenixLiveViewExt - Docs","type":"extras"},{"doc":"Formatting The source code formatting in this library diverges from the standard formatting practice based on using mix format in that there's a leading space character inserted before all first arguments and first elements for the purpose of (subject to author's personal perception) improving the code readability.","ref":"readme.html#notes","title":"PhoenixLiveViewExt - Notes","type":"extras"}]